'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = require('classnames/bind');

var _bind2 = _interopRequireDefault(_bind);

var _terraConsumerNav = require('terra-consumer-nav');

var _terraConsumerNav2 = _interopRequireDefault(_terraConsumerNav);

var _terraResponsiveElement = require('terra-responsive-element');

var _terraResponsiveElement2 = _interopRequireDefault(_terraResponsiveElement);

var _terraOverlay = require('terra-overlay');

var _terraOverlay2 = _interopRequireDefault(_terraOverlay);

var _reactIntl = require('react-intl');

require('terra-base/lib/baseStyles');

var _Layout = require('./Layout.scss');

var _Layout2 = _interopRequireDefault(_Layout);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var cx = _bind2.default.bind(_Layout2.default);

var propTypes = {
  /**
   * Object of configuration for the side navigation and profile.
   */
  nav: _propTypes2.default.object.isRequired, // eslint-disable-line react/forbid-prop-types

  /**
   * Array of links to show for the content of the help button
   */
  helpItems: _propTypes2.default.array, // eslint-disable-line react/forbid-prop-types

  /**
   * Alert banner
   */
  siteAlert: _propTypes2.default.element,

  /**
   * A center justified logo in header for mobile.
   */
  logo: _propTypes2.default.shape({
    /**
     * A center justified logo in header for mobile.
     */
    mobileLogo: _propTypes2.default.shape({
      url: _propTypes2.default.string.isRequired,
      altText: _propTypes2.default.string.isRequired
    }),
    navLogo: _propTypes2.default.object
  }),

  /**
   * Injected react-intl formatting api
   */
  intl: _reactIntl.intlShape.isRequired,
  children: _propTypes2.default.node.isRequired
};

var Layout = function (_React$Component) {
  _inherits(Layout, _React$Component);

  function Layout(props) {
    _classCallCheck(this, Layout);

    var _this = _possibleConstructorReturn(this, (Layout.__proto__ || Object.getPrototypeOf(Layout)).call(this, props));

    _this.state = {
      isMobileNavOpen: false
    };

    _this.toggleNav = _this.toggleNav.bind(_this);
    return _this;
  }

  _createClass(Layout, [{
    key: 'toggleNav',
    value: function toggleNav() {
      this.setState({
        isMobileNavOpen: !this.state.isMobileNavOpen
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          nav = _props.nav,
          helpItems = _props.helpItems,
          logo = _props.logo,
          siteAlert = _props.siteAlert,
          intl = _props.intl,
          customProps = _objectWithoutProperties(_props, ['nav', 'helpItems', 'logo', 'siteAlert', 'intl']);

      var overlay = _react2.default.createElement(_terraOverlay2.default, {
        onRequestClose: this.toggleNav,
        isOpen: this.state.isMobileNavOpen,
        backgroundStyle: 'clear',
        isRelativeToContainer: true
      });

      var navConfig = nav;
      if (logo && logo.navLogo) {
        navConfig = _extends({}, nav, { logo: logo.navLogo });
      }

      return _react2.default.createElement(
        'div',
        { className: cx('wrap') },
        _react2.default.createElement(
          'div',
          { className: cx('skip-container') },
          _react2.default.createElement(
            'a',
            { className: cx('skip-to-main-content'), href: '#main-container', id: 'skip-maincontent-link' },
            intl.formatMessage({ id: 'Terra.Consumer.Layout.skipcontent' })
          )
        ),
        siteAlert,
        _react2.default.createElement(
          'div',
          _extends({}, customProps, { className: cx('layout', { open: this.state.isMobileNavOpen }, customProps.className) }),
          _react2.default.createElement(
            'nav',
            { className: cx('nav') },
            _react2.default.createElement(_terraConsumerNav2.default, _extends({}, navConfig, {
              onRequestClose: this.toggleNav
            }))
          ),
          _react2.default.createElement(
            'main',
            { id: 'main-container', className: cx('main-container') },
            _react2.default.createElement(_terraResponsiveElement2.default, { defaultElement: overlay, responsiveTo: 'window', medium: _react2.default.createElement('div', null) }),
            _react2.default.createElement(
              'div',
              { className: cx('main-container-inner') },
              _react2.default.createElement(
                'div',
                { className: cx('nav-burgerbar') },
                _react2.default.createElement(_terraConsumerNav2.default.Burger, { handleClick: this.toggleNav }),
                _react2.default.createElement(
                  'div',
                  { className: cx('mobile-logo') },
                  logo && logo.mobileLogo && _react2.default.createElement('img', { src: logo.mobileLogo.url, alt: logo.mobileLogo.altText })
                )
              ),
              _react2.default.createElement(
                'div',
                { className: cx('main-content') },
                this.props.children
              ),
              _react2.default.createElement(_terraConsumerNav2.default.Help, { className: cx('help-button'), helpNavs: helpItems, id: 'nav-help-button' })
            )
          )
        )
      );
    }
  }]);

  return Layout;
}(_react2.default.Component);

Layout.propTypes = propTypes;

exports.default = (0, _reactIntl.injectIntl)(Layout);